package com.cooleshow.teacher.contract;

import com.cooleshow.base.presenter.view.BaseView;
import com.cooleshow.teacher.bean.PianoRoomCourseInfoBean;

/**
 * Author by pq, Date on 2022/4/20.
 */
public interface PianoRoomCourseDetailContract {

    interface PianoRoomCourseDetailView extends BaseView {
        void getCourseInfoSuccess(PianoRoomCourseInfoBean bean);

        void submitSparringCourseHomeworkSuccess();
    }

    interface Presenter {
        void getCourseInfo(String courseId);

        void submitSparringCourseHomework(String commentContent, String courseScheduleId);
    }
}
